summaryrefslogtreecommitdiffstats
path: root/multimedia
diff options
context:
space:
mode:
author Hunter Sezen2021-01-01 21:24:53 +0100
committer Willy Sudiarto Raharjo2021-01-02 04:48:25 +0100
commit17b35d445b8acfd991149f4639f48ea8d6b63e56 (patch)
tree79a2b4468ad09b5df9458357685ff31f985d49a9 /multimedia
parentbd6f874c6f0711a9ccc3b742a4ae9e4cc7fdcabe (diff)
downloadslackbuilds-17b35d445b8acfd991149f4639f48ea8d6b63e56.tar.gz
multimedia/vapoursynth-mvtools: Added (motion estimation plugin)
Signed-off-by: Dave Woodfall <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'multimedia')
-rw-r--r--multimedia/vapoursynth-mvtools/README1
-rw-r--r--multimedia/vapoursynth-mvtools/slack-desc19
-rw-r--r--multimedia/vapoursynth-mvtools/vapoursynth-mvtools.SlackBuild96
-rw-r--r--multimedia/vapoursynth-mvtools/vapoursynth-mvtools.info10
4 files changed, 126 insertions, 0 deletions
diff --git a/multimedia/vapoursynth-mvtools/README b/multimedia/vapoursynth-mvtools/README
new file mode 100644
index 0000000000..e58694f6b9
--- /dev/null
+++ b/multimedia/vapoursynth-mvtools/README
@@ -0,0 +1 @@
+MVTools is a set of filters for motion estimation and compensation.
diff --git a/multimedia/vapoursynth-mvtools/slack-desc b/multimedia/vapoursynth-mvtools/slack-desc
new file mode 100644
index 0000000000..ec91c8a36a
--- /dev/null
+++ b/multimedia/vapoursynth-mvtools/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+vapoursynth-mvtools: vapoursynth-mvtools (motion estimation vapoursynth plugin)
+vapoursynth-mvtools:
+vapoursynth-mvtools: MVTools is a set of filters for motion estimation and compensation.
+vapoursynth-mvtools:
+vapoursynth-mvtools: Homepage: https://github.com/dubhater/vapoursynth-mvtools
+vapoursynth-mvtools:
+vapoursynth-mvtools:
+vapoursynth-mvtools:
+vapoursynth-mvtools:
+vapoursynth-mvtools:
+vapoursynth-mvtools:
diff --git a/multimedia/vapoursynth-mvtools/vapoursynth-mvtools.SlackBuild b/multimedia/vapoursynth-mvtools/vapoursynth-mvtools.SlackBuild
new file mode 100644
index 0000000000..5a05905a2c
--- /dev/null
+++ b/multimedia/vapoursynth-mvtools/vapoursynth-mvtools.SlackBuild
@@ -0,0 +1,96 @@
+#!/bin/sh
+
+# Slackware build script for vapoursynth-mvtools
+
+# Copyright 2021 Hunter Sezen California, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=vapoursynth-mvtools
+VERSION=${VERSION:-23}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -eu
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+autoreconf -fi
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX}/vapoursynth \
+ --disable-static \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" |
+ grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a readme.rst $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/multimedia/vapoursynth-mvtools/vapoursynth-mvtools.info b/multimedia/vapoursynth-mvtools/vapoursynth-mvtools.info
new file mode 100644
index 0000000000..4151904dca
--- /dev/null
+++ b/multimedia/vapoursynth-mvtools/vapoursynth-mvtools.info
@@ -0,0 +1,10 @@
+PRGNAM="vapoursynth-mvtools"
+VERSION="23"
+HOMEPAGE="https://github.com/dubhater/vapoursynth-mvtools"
+DOWNLOAD="https://github.com/dubhater/vapoursynth-mvtools/archive/v23/vapoursynth-mvtools-23.tar.gz"
+MD5SUM="08bb2a31c63d0075ea3bf2dcb8370502"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="vapoursynth"
+MAINTAINER="Hunter Sezen"
+EMAIL="orbea@riseup.net"